Name:           python-Rtree
Version:        1.2.0
Release:    1%{?dist}
Summary:        R-Tree spatial index for Python GIS

%global debug_package %{nil}

%global _description %{expand:
Rtree is a ctypes Python wrapper of libspatialindex that provides a number of
advanced spatial indexing features for the spatially curious Python user. These
features include:

  • Nearest neighbor search
  • Intersection search
  • Multi-dimensional indexes
  • Clustered indexes (store Python pickles directly with index entries)
  • Bulk loading
  • Deletion
  • Disk serialization
  • Custom storage implementation (to implement spatial indexing in ZODB, for
    example)}

License:        MIT
URL:            https://github.com/Toblerity/rtree
Source0:         %{pypi_source Rtree}

Patch0:          0001-Treat-as-pure-Python-since-libspatialindex-is-not-bu.patch

BuildRequires:  spatialindex-devel

BuildRequires:  python3-devel

BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist numpy}

%description %{_description}


%package -n python3-rtree
Summary:        %{summary}

BuildArch:      noarch

Requires:       spatialindex

%description -n python3-rtree %{_description}


%prep
%autosetup -n Rtree-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files rtree


%check
%pytest --doctest-modules tests rtree


%files -n python3-rtree -f %{pyproject_files}
%doc README.md


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
